{ config, ... }:

{
  home.sessionVariables = {
    BROWSER = "librewolf";
    SSH_AUTH_SOCK = "${config.home.homeDirectory}/.bitwarden-ssh-agent.sock";
  };

  programs.bash = {
    enable = true;
    initExtra = ''
      export SSH_AUTH_SOCK="${config.home.homeDirectory}/.bitwarden-ssh-agent.sock"
    '';
  };

  programs.zsh = {
    enable = true;
    initContent = ''
      export SSH_AUTH_SOCK="${config.home.homeDirectory}/.bitwarden-ssh-agent.sock"
    '';
  };
}
